## framel-8.49.0.tar.xz

=== CMakeLists.txt ===
#
# CMake packaging for librame
# Copyright 2019  Duncan Macleod <duncan.macleod@ligo.org>
#

cmake_minimum_required(VERSION 3.12.0 FATAL_ERROR)
project(
    framel
    LANGUAGES C
    VERSION 8.49.0
    DESCRIPTION "LIGO/VIRGO frame library"
    HOMEPAGE_URL "https://git.ligo.org/virgo/virgoapp/Fr"
)

include(GNUInstallDirs)
include(CheckFunctionExists)
include(CTest)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -DG__ROOT -D_XOPEN_SOURCE=700")
#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -DG__ROOT -D_ISOC99_SOURCE")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DFR_PATH=\\\"${CMAKE_CURRENT_SOURCE_DIR}\\\"")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DFR_VERSION=\\\"${PROJECT_VERSION}\\\"")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG}")
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -g")

# -- set install paths ------

if (WIN32)
    set(RUNTIME_DESTINATION ${CMAKE_INSTALL_BINDIR})
    set(LIBRARY_DESTINATION ${CMAKE_INSTALL_BINDIR})
else (WIN32)
    set(RUNTIME_DESTINATION ${CMAKE_INSTALL_LIBDIR})
    set(LIBRARY_DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(WIN32)

# -- build components -------

# C library | enable/disable with -DENABLE_C={yes,no} (default yes)
add_subdirectory(src)
add_subdirectory(doc)

# Matlab library | enable/disable with -DENABLE_MATLAB={yes,no} (default no)
#                  enable/disable mex compilation with -DENABLE_MATLAB_MEX_COMPILATION={yes,no} (default yes if -DENABLE_MATLAB=yes)
add_subdirectory(matlab)

# Python library | enable/disable with -DENABLE_PYTHON={yes,no} (default no)
add_subdirectory(Python)

# Packaging
if (NOT DEFINED ENABLE_PACKAGING OR ENABLE_PACKAGING)
add_subdirectory(debian)
add_subdirectory(rpm)
endif()

# -- build tarball ----------
#
# to build a source tarball:
#
# mkdir dist
# pushd dist
# cmake ..
# cmake --build . --target package_source
#

set(CPACK_PACKAGE_MAJOR ${${PROJECT_NAME}_MAJOR_VERSION})
set(CPACK_PACKAGE_MINOR ${${PROJECT_NAME}_MINOR_VERSION})
set(CPACK_PACKAGE_PATCH ${${PROJECT_NAME}_PATCH_VERSION})
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_MAJOR}.${CPACK_PACKAGE_MINOR}.${CPACK_PACKAGE_PATCH}")

set(CPACK_SOURCE_GENERATOR TXZ)
set(CPACK_SOURCE_PACKAGE_FILE_NAME ${PROJECT_NAME}-${${PROJECT_NAME}_VERSION})
set(CPACK_SOURCE_IGNORE_FILES
    "/.*~$/"
    ".*~$"
    "\\\\.svn/"
    "\\\\.git"
    "build/"
    "CMakeFiles/"
    "CMakeCache.txt"
    "_CPack_Packages/"
    "\\\\.cmake"
    "Makefile"
    "\\\\.deps/"
    "autom4te.cache/"
    "\\\\.tar\\\\.xz"
)
include(CPack)

=== debian/changelog ===
framel (8.49.0-1) unstable; urgency=medium

  * framel 8.49.0 automatic configure

 -- Benoit Mours <benoit.mours@iphc.cnrs.fr>  Thu, 05 Feb 2026 13:19:47 +0000

framel (8.46.2-2) unstable; urgency=medium

  [Duncan Macleod]
  * use versioned library name
  [Steffen Grunewald]
  * dh-python, ${python:Depends}, --with=python3 to correctly place module

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 01 Feb 2024 08:43:00 +0100

framel (8.46.2-1) unstable; urgency=medium

  * New upstream version v8r46p2
  * Patches:
    - do not compile mex files (Duncan M. Macleod)
    - Python 3.1x install path
  * python3-framel depends on libframel.so (package libframel8)

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 26 Jan 2024 09:45:00 +0100

framel (8.46.1-0.99) unstable; urgency=medium

  * New upstream version v8r46p1
  * Re-included python3-framel package
  * Do not compile mex files (Duncan M. Macleod)
  * Python 3.1x patch - with fallback

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Wed, 10 Jan 2024 14:20:00 +0100

framel (8.46.0-0.01) unstable; urgency=medium

  * New upstream version v8r46

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 09 Nov 2023 14:56:00 +0100

framel (8.45.0-0.01) unstable; urgency=medium

  * New upstream version v8r45

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Wed, 23 Aug 2023 11:59:00 +0200

framel (8.43.1-0.01) unstable; urgency=medium

  * New upstream version v8r43p1

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Tue, 30 May 2023 16:35:00 +0200

framel (8.43.0-0.01) unstable; urgency=medium

  * New upstream version v8r43

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Tue, 09 May 2023 09:40:00 +0200

framel (8.42.4-0.10) unstable; urgency=medium

  * New upstream version 8.42.4: more matlab additions

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 29 Nov 2022 10:05:00 +0100

framel (8.42.3-0.52) unstable; urgency=medium

  * New upstream version 8.42.3: matlab additions
  * Remove {lib,}framel-matlab from debian/control
  * ENABLE_MATLAB=no

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Mon, 25 Jul 2022 09:32:00 +0200

framel (8.42.2-0.5) unstable; urgency=medium

  * New upstream version 8.42.2: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Mon, 11 Jul 2022 09:07:00 +0200

framel (8.42.1-0.5) unstable; urgency=medium

  * New upstream version 8.42.1: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 02 Jun 2022 12:50:00 +0200

framel (8.42.0-0.5) unstable; urgency=medium

  * New upstream version 8.42.0

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 06 May 2022 15:32:00 +0200

framel (8.41.8-0.9) unstable; urgency=medium

  * New upstream version 8.41.8: bugfixes: buffer size, typo

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 06 May 2022 15:30:00 +0200

framel (8.41.7-0.9) unstable; urgency=medium

  * New upstream version 8.41.7

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 17 Feb 2022 11:20:00 +0100

framel (8.41.6-0.9) unstable; urgency=medium

  * New upstream version 8.41.6: bugfixes, error handling

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Tue, 07 Dec 2021 09:15:00 +0100

framel (8.41.5-0.9) unstable; urgency=medium

  * New upstream version 8.41.5: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Wed, 20 Oct 2021 09:45:00 +0200

framel (8.41.4-0.9) unstable; urgency=medium

  * New upstream version 8.41.4: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 08 Oct 2021 14:55:00 +0200

framel (8.41.3-0.9) unstable; urgency=medium

  * New upstream version 8.41.3

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 13 Aug 2021 13:10:00 +0200

framel (8.41.2-0.9) unstable; urgency=medium

  * New upstream version 8.41.2

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 22 Apr 2021 13:50:00 +0200

framel (8.41.1-1) unstable; urgency=medium

  * New upstream version 8.41.1
  * debian: update watch file

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 08 Feb 2021 09:58:03 +0000

framel (8.40.1-1) UNRELEASED; urgency=medium

  * New upstream version 8.40.1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 15 Jun 2020 18:21:01 +0100

framel (8.39.2-3) unstable; urgency=low

  * Fix relationships to old package names

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 12 May 2020 13:09:53 +0000

framel (8.39.2-2) unstable; urgency=low

  * Update package names for new SO name

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 12 May 2020 09:31:33 +0000

framel (8.39.2-1) unstable; urgency=medium

  * New upstream version 8.39.2

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 11 May 2020 08:55:55 +0000

framel (8.38.3-1) unstable; urgency=low

  * rebuild for 8.38.3-1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 06 May 2020 12:58:08 +0000

framel (8.38.1-1) unstable; urgency=low

  * rebuild for 8.38.1-1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 29 Apr 2020 15:27:00 -0000

libframe (8.36-1) unstable; urgency=low

  * rebuild with cmake

 -- Duncan Macleod <duncan.macleod@ligo.org>  Fri, 24 May 2019 14:00:00 -0000

libframe (8.30-1) unstable; urgency=low

  * libframe-8.30

 -- Adam Mercer <adam.mercer@gmail.com>  Tue, 12 Apr 2016 07:48:52 -0500

libframe (8.20-1) testing; urgency=low

  * libframe-8.20

 -- Adam Mercer <adam.mercer@ligo.org>  Wed, 25 Sep 2013 09:30:54 -0500

libframe (8.19.1-1) testing; urgency=low

  * libframe-8.19.1

 -- Adam Mercer <adam.mercer@ligo.org>  Fri, 10 May 2013 13:37:58 -0500

libframe (8.17.2-1) testing; urgency=low

  * libframe-8.17.2

 -- Adam Mercer <adam.mercer@ligo.org>  Tue, 2 October 2012 08:20:24 -0500

libframe (8.15-5) testing; urgency=low

  * convert to source format 3.0 (quilt)

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Wed, 05 Sep 2011 09:30:00 +0200

libframe (8.15-1) testing; urgency=low

  * libframe-8.15

 -- Adam Mercer <adam.mercer@ligo.org>  Tue, 31 May 2011 10:40:53 -0500



=== debian/control ===
Source: framel
Section: science
Priority: optional
Maintainer: Duncan Macleod <duncan.macleod@ligo.org>
Standards-Version: 4.1.1
X-Python3-Version: >=3.5
Homepage: http://lappweb.in2p3.fr/virgo/FrameL
Build-Depends:
 debhelper (>= 9),
 dh-python,
 cmake (>= 3.12.0),
 ctypesgen,
 python3-all-dev,
 python3-numpy,

# -- C library --------------

Package: libframel8
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: framel
Description: LIGO/VIRGO frame library
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains the shared-object library needed to run FrameL
 applications.

# -- dev --------------------

Package: libframel-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libframel8 (= ${binary:Version}),
Replaces: libframe-dev (<< 8.38.1-1~)
Breaks: libframe-dev (<< 8.38.1-1~)
Description: LIGO/VIRGO frame library development files
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains the files needed for building FrameL programs.

# -- utils ------------------

Package: framel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: libframe-utils (<< 8.38.1-1~)
Breaks: libframe-utils (<< 8.38.1-1~)
Description: LIGO/VIRGO frame file utilities
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains some utilities for manipulating frame files, as
 well as the documentation for the library.

Package: libframe-utils
Depends:
 ${misc:Depends},
 framel,
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

# -- matlab -----------------

Package: framel-matlab
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: libframe-matlab (<< 8.38.1-1~)
Breaks: libframe-matlab (<< 8.38.1-1~)
Description: Matlab bindings for FrameL
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains Matlab bindings for manipulating frame files from
 within Matlab.

Package: libframe-matlab
Depends:
 ${misc:Depends},
 framel-matlab,
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

# -- python -----------------

Package: python3-framel
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libframel8 (= ${binary:Version}),
 python3,
 python3-numpy,
Description: Python bindings for FrameL
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains Python 3 bindings for manipulating frame files from
 within Python.
